Name:		tanglet
Version:	1.6.5
Release:	%mkrel 1
Summary:	Word finding game
Group:		Games/Puzzles
License:	GPLv3+
URL:		https://gottcode.org/%{name}/
Source0:	https://gottcode.org/%{name}/%{name}-%{version}.tar.bz2

BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6LinguistTools)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	cmake

%description
A single player word finding game based on Boggle. The object of the
game is to list as many words as you can before the time runs out.
There are several timer modes that determine how much time you start
with, and if you get extra time when you find a word.

You can join letters horizontally, vertically, or diagonally in any
direction to make a word, so as long as the letters are next to each
other on the board. However, you can not reuse the same letter cells
in a single word. Also, each word must be at least three letters on
a normal board, and four letters on a large board.

%prep
%setup -q

%build
%cmake_qt6
%cmake_build

%install
%cmake_install

%files
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/metainfo/%{name}.appdata.xml
%{_iconsdir}/hicolor/*/apps/%{name}.*g
%{_mandir}/man6/%{name}.6*


%changelog
* Sun Jan 21 2024 daviddavid <daviddavid> 1.6.5-1.mga10
+ Revision: 2033233
- new version: 1.6.5

* Wed Sep 06 2023 daviddavid <daviddavid> 1.6.4-1.mga10
+ Revision: 1984593
- new version: 1.6.4

* Thu Jan 12 2023 daviddavid <daviddavid> 1.6.3-1.mga9
+ Revision: 1932440
- new version: 1.6.3

* Fri Sep 30 2022 neoclust <neoclust> 1.6.2-1.mga9
+ Revision: 1893495
- New version 1.6.2
- switch to Qt6 and cmake build system

* Sun Apr 03 2022 umeabot <umeabot> 1.6.1.1-2.mga9
+ Revision: 1842413
- Mageia 9 Mass Rebuild

* Thu May 06 2021 daviddavid <daviddavid> 1.6.1.1-1.mga9
+ Revision: 1721792
- new version: 1.6.1.1

* Thu Dec 17 2020 umeabot <umeabot> 1.5.6-2.mga8
+ Revision: 1659962
- Rebuild for new Qt5

* Tue Apr 21 2020 daviddavid <daviddavid> 1.5.6-1.mga8
+ Revision: 1570392
- new version: 1.5.6

* Thu Feb 20 2020 daviddavid <daviddavid> 1.5.5-1.mga8
+ Revision: 1545650
- new version: 1.5.5
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Mon Aug 19 2019 daviddavid <daviddavid> 1.5.4-1.mga8
+ Revision: 1430156
- new version: 1.5.4

* Tue Apr 02 2019 umeabot <umeabot> 1.5.3-3.mga7
+ Revision: 1384938
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.5.3-2.mga7
+ Revision: 1301316
- Mageia 7 Mass Rebuild

* Sat Jul 21 2018 daviddavid <daviddavid> 1.5.3-1.mga7
+ Revision: 1244522
- new version: 1.5.3

* Wed May 30 2018 daviddavid <daviddavid> 1.5.2-1.mga7
+ Revision: 1233017
- new version: 1.5.2

* Sat Apr 28 2018 daviddavid <daviddavid> 1.5.1-1.mga7
+ Revision: 1223082
- new version: 1.5.1

* Sat Dec 09 2017 vaci0 <vaci0> 1.5.0-1.mga7
+ Revision: 1181780
-Update new version 1.5.0

* Sun Jan 29 2017 vaci0 <vaci0> 1.4.0-1.mga6
+ Revision: 1084153
- Update to new version 1.4.0

* Wed Feb 17 2016 umeabot <umeabot> 1.3.1-2.mga6
+ Revision: 963001
- Mageia 6 Mass Rebuild

* Wed Jul 08 2015 wally <wally> 1.3.1-1.mga6
+ Revision: 852835
- use .desktop file from upstream
+ vaci0 <vaci0>
- Update new version 1.3.1
- Rebuild for qt5
- Clean .spec

* Wed Oct 15 2014 umeabot <umeabot> 1.2.2-3.mga5
+ Revision: 749001
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.2-2.mga5
+ Revision: 689687
- Mageia 5 Mass Rebuild

* Tue Feb 04 2014 wally <wally> 1.2.2-1.mga5
+ Revision: 581101
- new version 1.2.2
- clean .spec a bit

* Fri Oct 18 2013 umeabot <umeabot> 1.2.1-4.mga4
+ Revision: 519523
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.2.1-3.mga3
+ Revision: 384035
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 juancho <juancho> 1.2.1-2.mga3
+ Revision: 251816
- Removed unneeded g++ BR
- Removed spaces from desktop file entries.
+ vaci0 <vaci0>
- imported package tanglet

